/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package net.sf.goodgame.tbgf.games.desdemona.server;

import net.sf.goodgame.server.game.GameServer;
import net.sf.goodgame.server.game.GameType;
import net.sf.goodgame.shared.games.table.GameTableColumn;
import net.sf.goodgame.shared.games.table.GameTableLayout;

/**
 *
 * @author mchaten
 */
public class DesdemonaGameType extends GameType{

    private final GameTableLayout layout;
    public DesdemonaGameType(){
            super("Desdemona");
            GameTableColumn nameColumn = new GameTableColumn("Name",(byte)80);
            GameTableColumn curPlayersColumn = new GameTableColumn("# Players",(byte)20);
            layout = new GameTableLayout(nameColumn,curPlayersColumn);
    }


    @Override
    public GameServer createNewGameServer() {
        return new DesdemonaServer();
    }
  
    @Override
    public GameTableLayout getGameTableLayout() {
        return layout;
    }



}
