/*    
    (C) 2008 Michael Chaten
 	This file is part of GoodGame.

    GoodGame is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 3 of the License

    GoodGame is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package net.sf.goodgame.tbgf.test.client;

import net.sf.goodgame.shared.games.GameOptions;
import net.sf.goodgame.shared.games.Player;
import net.sf.goodgame.tbgf.client.TurnBasedGameClient;

public class DummyGameClient extends TurnBasedGameClient{

    @Override
    public void destroy() {
        return;
    }

    @Override
    protected String getGameTitle() {
        return "Dummy Game";
    }

    @Override
    protected void initializeGame() {
        game = new DummyGame();
        game.setGameClient(this);
    }

    @Override
    protected void initializeUI() {
        rootPanel = game.getGamePanel();
        game.initializeUI();
    }
    @Override
    public void gameOver(String message) {
        
    }
    @Override
    public void gameOver(byte[] message) {
        
    }

    @Override
    public GameOptions setupNewGame(GameOptions options) {
        return options;
    }

    @Override
    protected void gameIsSetup(GameOptions options) {
    }

    public void gameStarted(Player me, GameOptions options) {
    }

    @Override
    protected void setGameOptions(GameOptions options) {
        return;
    }

}
