/*
(C) 2008 Michael Chaten
This file is part of Good Game.
Good Game is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License
Good Game is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.sf.goodgame.client.gui.table.button;

import java.awt.Component;
import java.awt.Insets;
import java.awt.event.ActionListener;
import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;
import net.sf.goodgame.client.game.Game;
import net.sf.goodgame.client.gui.translucency.TranslucentJButton;

/**
 *
 * @author Mike
 */
public class ButtonRenderer implements TableCellRenderer
{
    public ButtonRenderer(ActionListener listener)
    {       
    }

    public Component getTableCellRendererComponent(JTable table, Object value,
            boolean isSelected, boolean hasFocus, int row, int column)
    {
        System.out.println("Renderer");
        JButton button;    
        button = new TranslucentJButton(0.6f);
        button.setMargin(new Insets(0, 0, 0, 0));
        button.setBorder(BorderFactory.createEmptyBorder());
        button.setContentAreaFilled(false);
        ButtonUtil.setupButton(button,(Game) value);
        return button;
    }
   


}
