/*
(C) 2008 Michael Chaten
This file is part of Good Game.
Good Game is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License
Good Game is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.goodgame.client.user;

import java.util.List;
import javax.swing.JComponent;
import net.sf.goodgame.shared.UserInfoElement;
import net.sf.goodgame.shared.UserType;

public interface UserList{

    void addUser(User user);
    void addListener(UserListListener listener);
    void removeUser(String user);
    void renameUser(String oldname, String newname,UserType newtype);
    void setUserInfo(String user, List<UserInfoElement> info);
    JComponent getComponent();
    void reset();
}
