/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package net.sf.goodgame.server.administration;

import javax.swing.JFrame;
import javax.swing.JTabbedPane;
import net.sf.goodgame.server.Main;

/**
 *
 * @author mchaten
 */
public class AdminGUI {
    private JFrame frame;
    private JTabbedPane root;
    public AdminGUI(Main m)
    {
        GameTypesPane gameTypesPane;
        MainPane mainPane;
        LobbiesPane lobbiesPane;
        lobbiesPane = new LobbiesPane();
        mainPane = new MainPane(m);
        gameTypesPane = new GameTypesPane();
        root = new JTabbedPane();
        root.addTab("Main",mainPane.getComponent());
        root.addTab("Game Types",gameTypesPane.getComponent());
        root.addTab("Lobbies",lobbiesPane.getComponent());
        root.addTab("Registered Users",new RegisteredUsersPane().getComponent());
        frame = new JFrame("Good Game Administration");
        frame.setContentPane(root);
        frame.setSize(600,600);
        frame.setVisible(true);
    }

}
