/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.sf.goodgame.server.administration;

import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JList;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import net.sf.goodgame.server.lobby.Lobby;

/**
 *
 * @author mchaten
 */
public class LobbiesPane {

    private JPanel root;
    private JList lobbyList;

    public LobbiesPane() {
        root = new JPanel();
        lobbyList = new JList();
        lobbyList.setListData(Lobby.getAllLobbies());
        JButton newLobby = new JButton("New Lobby");
        newLobby.addActionListener(new ActionListener() {

            public void actionPerformed(ActionEvent e) {
                String input = JOptionPane.showInputDialog("What name should the lobby have?");
                if (input != null) {
                    new Lobby(input);
                    lobbyList.setListData(Lobby.getAllLobbies());
                }
            }
        });
        root.setLayout( new BoxLayout(root,BoxLayout.PAGE_AXIS));
        root.add(lobbyList);
        root.add(Box.createVerticalStrut(20));
        root.add(newLobby);
    }

    public Component getComponent() {
        return root;
    }
}
