/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.sf.goodgame.server.administration;

import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import net.sf.goodgame.server.Main;

/**
 *
 * @author mchaten
 */
public class MainPane {

    private JPanel root;

    public MainPane(final Main main) {
        root = new JPanel();
        JButton startServerButton = new JButton("Start Server");
        startServerButton.addActionListener(new ActionListener() {

            public void actionPerformed(ActionEvent e) {
                main.start();
            }
        });
        JButton stopServerButton = new JButton("Stop Server");
        stopServerButton.addActionListener(new ActionListener() {

            public void actionPerformed(ActionEvent e) {
                int ret = JOptionPane.showConfirmDialog(root, "Are You Sure?", "Are you sure you want to stop the server?", JOptionPane.YES_NO_OPTION);
                if (ret == JOptionPane.YES_OPTION) {
                    main.stop();
                }
            }
        });
        root.add(startServerButton);
        root.add(stopServerButton);
    }

    public Component getComponent() {
        return root;
    }
}
