/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.sf.goodgame.server.user;

import net.sf.goodgame.server.List;
import net.sf.goodgame.server.networking.ServerToClientLogic;
import net.sf.goodgame.shared.network.NetworkMessage;
import net.sf.goodgame.shared.network.ServerToClientHeader;

/**
 *
 * @author mchaten
 */
public class OnlineFriendsList extends List {

    public OnlineFriendsList() {
        super(ServerToClientHeader.friendLoggedIn, false);
    }

    public void friendLoggedIn(User friend) {
        System.out.println("Friend Logged In: " + friend);
        NetworkMessage message = ServerToClientLogic.friendLoggedIn(friend);
        addData(friend, message);
        updateListeners(message);
    }

    public void friendLoggedOut(User friend) {
        NetworkMessage message = ServerToClientLogic.friendLoggedOut(friend);
        removeData(friend);
        updateListeners(message);
    }
}
