/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.sf.goodgame.shared;

/**
 *
 * @author mchaten
 */
public enum UserInfoType {

    gameResults(false),
    userSupplied(true);
    private final boolean editable;

    private UserInfoType(boolean editable) {
        this.editable = editable;
    }

    public boolean isEditable() {
        return editable;
    }

    public byte getOrdinal() {
        return (byte) ordinal();
    }

    public static UserInfoType getType(byte ordinal) {
        UserInfoType[] values = values();
        if (ordinal >= 0 && ordinal < values.length) {
            return values[ordinal];
        }
        return null;
    }
}
