/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package net.sf.goodgame.shared;

public enum UserType
{   
    guest,
    regular,
    privileged,
    moderator,
    admin,
    devel;
    
    public final byte privileges;
    UserType()
    {
        privileges = (byte) this.ordinal();
    }
    public static UserType getType(String typename)
    {
        return valueOf(typename);
    }
    public static UserType getType(byte privileges)
    {
        return values()[privileges];
    }
}
