/*    
    (C) 2008 Michael Chaten
 	This file is part of GoodGame.

    GoodGame is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 3 of the License

    GoodGame is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package net.sf.goodgame.tbgf.shared;

public enum ClientToServerProtocol {

    setupGame,
    gameMessageBinary,
    gameMessageString;
    
    
    public final byte messageNum;

    ClientToServerProtocol() {
        messageNum = (byte) ordinal();
    }

    public static ClientToServerProtocol valueOf(byte messageNum) {
        return values()[messageNum];
    }
}
