/*    
(C) 2008 Michael Chaten
This file is part of GoodGame.

GoodGame is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; version 3 of the License

GoodGame is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.goodgame.tbgf.test.client;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JLabel;
import net.sf.goodgame.tbgf.client.DefaultTurnBasedGameUI;

public class DummyGameGUI extends DefaultTurnBasedGameUI {

    private JLabel label;
    private DummyGameClient gameClient;
    public DummyGameGUI(DummyGameClient client) {
        super(client);
        label = new JLabel("Init");
        gameClient = client;
    }

    void setText(String s) {
        label.setText(s);
    }

    public void initializeUI() {
        gameBoard.setLayout(new BoxLayout(gameBoard,BoxLayout.LINE_AXIS));
        gameBoard.add(label);
        JButton button = new JButton("Click me!");

        button.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                gameClient.sendMessage(new byte[]{0});
            }
        });
        gameBoard.add(button);
        initUI();
    }
}
