/*
(C) 2008 Michael Chaten
This file is part of Good Game.
Good Game is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License
Good Game is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.sf.goodgame.client.game;

import javax.swing.JComponent;
import net.sf.goodgame.shared.games.table.GameTableLayout;

public interface GameList {
    
    void addGame(Game game);

    void updateGame(Game game);

    void removeGame(Game game);

    void reset();

    void setGameTableLayout(GameTableLayout layout);
    
    JComponent getComponent();
}
