/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.sf.goodgame.server.user;

import net.sf.goodgame.server.List;
import net.sf.goodgame.server.networking.ServerToClientLogic;
import net.sf.goodgame.shared.network.NetworkMessage;
import net.sf.goodgame.shared.network.ServerToClientHeader;

/**
 *
 * @author mchaten
 */
public class AllFriendsList extends List<String> {

    public AllFriendsList() {
        super(ServerToClientHeader.addFriend, false);
    }

    public void addFriend(String friend) {
        NetworkMessage message = ServerToClientLogic.addFriend(friend);
        super.addData(friend, message);
        super.updateListeners(message);
    }

    public void removeFriend(String friend) {
        NetworkMessage message = ServerToClientLogic.removeFriend(friend);
        super.removeData(friend);
        super.updateListeners(message);
    }
}
