/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package net.sf.goodgame.shared;

/**
 *
 * @author mchaten
 */
public class UserInfoElement {

    private String columnName;
    private String text;
    private UserInfoType type;

    public UserInfoElement(String columnName, String text,UserInfoType type) {
        this.columnName = columnName;
        this.text = text;
        this.type = type;
    }

    public String getColumnName() {
        return columnName;
    }

    public UserInfoType getType() {
        return type;
    }
    
    public String getText() {
        return text;
    }
    public void setText(String text) {
        this.text = text;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final UserInfoElement other = (UserInfoElement) obj;
        if ((this.columnName == null) ? (other.columnName != null) : !this.columnName.equals(other.columnName)) {
            return false;
        }
        if (this.type != other.type) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 59 * hash + (this.columnName != null ? this.columnName.hashCode() : 0);
        hash = 59 * hash + (this.type != null ? this.type.hashCode() : 0);
        return hash;
    }

    

}
