/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.sf.goodgame.shared.games;

/**
 *
 * @author Mike
 */
public enum GameState
{
    settingUp,
    canJoin,
    loading,
    playing,
    finished;
    public final byte networkNumber;

    GameState()
    {
        networkNumber = (byte) ordinal();
    }
    
    public static GameState getState(byte number)
    {
        if(number >= 0 && number < values().length)
        {
            return values()[number];
        }
        return null;        
    }
}
